Click here to monitor SSC
SQLServerCentral is supported by Red Gate Software Ltd.
 
Log in  ::  Register  ::  Not logged in
 
 
 
        
Home       Members    Calendar    Who's On


Add to briefcase

SQL 2014 Upgrade Advisor install fails Expand / Collapse
Author
Message
Posted Wednesday, July 2, 2014 12:19 PM
SSC-Enthusiastic

SSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-Enthusiastic

Group: General Forum Members
Last Login: 2 days ago @ 11:50 AM
Points: 105, Visits: 293
Hey there,

I've installed SQL 2014 Enterprise on a VM and am trying to install the Upgrade Advisor.

Directions indicate that I should run SqlUA.msi but I get the following error:
========================================
Setup is missing prerequisites:

-Microsoft SQL Server 2014 Transact-SQL-ScriptDom, which is not installed by Upgrade Advisor Setup. To continue, install SQL Server 2014 Transact-SQL ScriptDom from below hyperlink and then run the Upgrade Advisor Setup operation again :

Go to http://go.microsoft.com/fwlink/?LinkID=296473.
========================================



That just takes me to the download page. There is no ScriptDom file, but a further search showed me that they mean SQLDOM. So I installed SQLDOM.msi from that page above and got the following error:

========================================
Microsoft SQL Server 2012 Transact-SQL-ScriptDom

Installation of Microsoft SQL Server 2012 Transact-SQL-ScriptDom failed because a higher version already exists on the machine. To proceed, uninstall the higher version and then run Microsoft SQL Server 2012 Transact-SQL ScriptDom Setup again.
========================================


Well, that was pretty confusing. First I'm told I don't have it, then I'm told I'm trying to install an older version. I've rebooted the VM and my local laptop a bunch but without assist. Microsoft Support told me they don't support upgrade advisor.

Any assistance is much appreciated.
Thanks
Andre
Post #1588586
Posted Tuesday, July 8, 2014 10:05 AM
SSC-Enthusiastic

SSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-EnthusiasticSSC-Enthusiastic

Group: General Forum Members
Last Login: 2 days ago @ 11:50 AM
Points: 105, Visits: 293
Found the solution on another forum:

http://social.msdn.microsoft.com/Forums/sqlserver/en-US/4691a3df-5ad1-480a-8d27-2bda7afd7078/sql-2014-upgrade-advisor?forum=sqlsetupandupgrade

Basically, you have to have the right version of SqlDom.msi installed. I believe the upgrade advisor relies on the 32 bit version.



Please on the following link:
http://www.microsoft.com/en-us/download/details.aspx?id=42295

Click on Download, then scroll down the bar with your mouse, and choose:

ENU\x86\SqlDom.msi (32-bit)
ENU\x64\SqlDom.msi (64-bit)
Post #1590425
« Prev Topic | Next Topic »

Add to briefcase

Permissions Expand / Collapse